| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::ShadowTextureManager Class Reference
Core » Scene

Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree. More...

`#include <OgreShadowTextureManager.h>`

Inheritance diagram for Ogre::ShadowTextureManager:
[legend]

## Public Member Functions
| ShadowTextureManager ()
virtual | ~ShadowTextureManager ()
virtual void | clear ()
| Dereference all the shadow textures kept in this class and remove them from TextureManager; note that it is up to the SceneManagers to clear their local references. More...
virtual void | clearUnused ()
| Remove any shadow textures that are no longer being referenced. More...
virtual TexturePtr | getNullShadowTexture (PixelFormat format)
| Get an appropriately defined 'null' texture, i.e. More...
virtual void | getShadowTextures (const ShadowTextureConfigList &config, ShadowTextureList &listToPopulate)
| Populate an incoming list with shadow texture references as requested in the configuration list. More...

## Static Public Member Functions
static ShadowTextureManager & | getSingleton (void)
| Get the singleton instance. More...
static ShadowTextureManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree.

Remarks
  The management of the list of shadow textures has been separated out into a dedicated class to enable the clean management of shadow textures across many scene manager instances. Where multiple scene managers are used with shadow textures, the configuration of those shadows may or may not be consistent - if it is, it is good to centrally manage the textures so that creation and destruction responsibility is clear.

## Constructor & Destructor Documentation

## ◆ ShadowTextureManager()

Ogre::ShadowTextureManager::ShadowTextureManager | ( |  | ) |

## ◆ ~ShadowTextureManager()

virtual Ogre::ShadowTextureManager::~ShadowTextureManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getShadowTextures()

virtual void Ogre::ShadowTextureManager::getShadowTextures | ( | const ShadowTextureConfigList & | config,
|  | ShadowTextureList & | listToPopulate
| ) |  |
| virtual

Populate an incoming list with shadow texture references as requested in the configuration list.

## ◆ getNullShadowTexture()

virtual TexturePtr Ogre::ShadowTextureManager::getNullShadowTexture | ( | PixelFormat | format | ) |
| virtual

Get an appropriately defined 'null' texture, i.e.

one which will always result in no shadows.

## ◆ clearUnused()

virtual void Ogre::ShadowTextureManager::clearUnused | ( |  | ) |
| virtual

Remove any shadow textures that are no longer being referenced.

Remarks
  This should be called fairly regularly since references may take a little while to disappear in some cases (if referenced by materials)

## ◆ clear()

virtual void Ogre::ShadowTextureManager::clear | ( |  | ) |
| virtual

Dereference all the shadow textures kept in this class and remove them from TextureManager; note that it is up to the SceneManagers to clear their local references.

## ◆ getSingleton()

static ShadowTextureManager& Ogre::ShadowTextureManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static ShadowTextureManager* Ogre::ShadowTextureManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreShadowTextureManager.h